Bug 148972 - RFE: slapcat daily cron job
Summary: RFE: slapcat daily cron job
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-17 16:19 UTC by Steven Pritchard
Modified: 2014-08-31 23:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-01 23:39:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed /etc/cron.daily/slapcat (277 bytes, text/plain)
2005-02-17 16:20 UTC, Steven Pritchard
no flags Details
Proposed /etc/logrotate.d/slapcat (60 bytes, text/plain)
2005-02-17 16:21 UTC, Steven Pritchard
no flags Details
Proposed /etc/cron.daily/slapcat (288 bytes, text/plain)
2005-02-18 14:47 UTC, Steven Pritchard
no flags Details
openldap.spec changes (1.57 KB, patch)
2005-02-21 18:35 UTC, Steven Pritchard
no flags Details | Diff

Description Steven Pritchard 2005-02-17 16:19:55 UTC
For some reason, the openldap database on a server became corrupted
last night.  Luckily, we had a replicated copy, so I was able to
recover easily.  A cron job that dumps the contents of the ldap
database nightly would have made it even easier though.

Comment 1 Steven Pritchard 2005-02-17 16:20:58 UTC
Created attachment 111162 [details]
Proposed /etc/cron.daily/slapcat

Comment 2 Steven Pritchard 2005-02-17 16:21:48 UTC
Created attachment 111163 [details]
Proposed /etc/logrotate.d/slapcat

Comment 3 Steven Pritchard 2005-02-17 16:23:55 UTC
I should probably note that this isn't even remotely an original idea.
 This is essentially the same thing that is included with rpm.

Comment 4 Steven Pritchard 2005-02-18 14:47:28 UTC
Created attachment 111195 [details]
Proposed /etc/cron.daily/slapcat

Forgot to set umask in the previous version.

Comment 5 Steven Pritchard 2005-02-21 18:35:01 UTC
Created attachment 111269 [details]
openldap.spec changes

This is a patch against the spec in rawhide (2.2.13-2).  It is untested, but it
looks correct to me.

Comment 6 Matthew Miller 2006-07-10 23:28:36 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 7 Andrew Bartlett 2006-08-01 23:01:21 UTC
Still not applied in current rawhide.

Comment 8 Steven Pritchard 2006-08-01 23:39:32 UTC
There doesn't seem to be any interest in getting this applied.  I've packaged 
the cron job as openldap-snapshot 
(http://ftp.kspei.com/pub/steve/rpms/openldap-snapshot-1.0-3.src.rpm or 
http://ftp.kspei.com/pub/steve/rpms/openldap-snapshot/), which I intend to 
submit to Extras once I have a chance to work on it a little more.


Note You need to log in before you can comment on or make changes to this bug.